Name:		redshift
Version:	1.12
Release:	%mkrel 14
Summary:	Adjusts the color temperature of your screen according to time of day
Group:		Graphical desktop/Other
Url:		http://jonls.dk/redshift/
License:	GPLv3+
Source0:	https://github.com/jonls/redshift/releases/download/v%{version}/redshift-%{version}.tar.xz
# From https://github.com/jonls/redshift/pull/753
Patch101:	0001-Set-redshift-to-run-after-graphical-sesion.target.patch
Patch102:	0002-Change-services-to-by-wanted-by-graphical-session.patch
# From https://github.com/jonls/redshift/pull/757/
Patch103:	0001-redshift-gtk-use-Ayatana-AppIndicator3-instead-of-Ap.patch
# Mageia patches
Patch501:	0001-Make-redshift-gtk-systemd-unit-file-to-conflict-with.patch
Patch502:	0002-redshift-gtk-mga-To-run.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	python3-devel
BuildRequires:	pkgconfig(libsystemd)
Requires:	geoclue
Requires:	%{name}-common = %{version}-%{release}

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

%package gtk
Summary:	GTK integration for Redshift
Group:		Graphical desktop/Other
Requires:	python3-gobject3
Requires:	python3-pyxdg
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description gtk
GTK integration for Redshift, a screen color temperature adjustment
program.

%package common
Summary:	Common data files for redshift
Group:		Graphical desktop/Other
BuildArch:	noarch
Conflicts:	%{name} < 1.11-2
Conflicts:	%{name}-gtk < 1.11-2

%description common
Internationalization and locale data and icons for redshift.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-geoclue2 \
	--disable-rpath \
	--with-systemduserunitdir=%{_userunitdir} \
	--enable-gui
%make_build

%install
%make_install

%find_lang %{name}

%post
%systemd_user_post %{name}.service

%post gtk
%systemd_user_post %{name}-gtk.service

%preun
%systemd_user_preun %{name}.service

%preun gtk
%systemd_user_preun %{name}-gtk.service

%files
%doc NEWS DESIGN README*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*
%{_userunitdir}/%{name}.service

%files gtk
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_datadir}/appdata/%{name}-gtk.appdata.xml
%{python3_sitelib}/%{name}_gtk/
%{_userunitdir}/%{name}-gtk.service

%files common -f %{name}.lang
%{_iconsdir}/hicolor/scalable/apps/%{name}*.svg


%changelog
* Wed Mar 26 2025 xgrind <xgrind> 1.12-14.mga9
- Added -l 0:0 to .desktop

* Fri Apr 01 2022 umeabot <umeabot> 1.12-13.mga9
+ Revision: 1838173
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 1.12-12.mga9
+ Revision: 1774138
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.12-11.mga9
+ Revision: 1703096
- rebuild for python 3.9

* Mon Aug 03 2020 wally <wally> 1.12-10.mga8
+ Revision: 1610837
- add patch to port to Ayatana AppIndicator

* Sat Apr 25 2020 wally <wally> 1.12-9.mga8
+ Revision: 1572121
- add patches from upstream PR#753 to avoid early startup failures

* Wed Feb 19 2020 umeabot <umeabot> 1.12-8.mga8
+ Revision: 1543141
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 14 2020 wally <wally> 1.12-7.mga8
+ Revision: 1477921
- add patches
  - make redshift service to conflict with redshift-gtk so both won't run at the same time
  - wait 5 secs before trying to restart the service

* Wed Jan 08 2020 wally <wally> 1.12-6.mga8
+ Revision: 1477342
- add post and preun scriptlets for systemd user service files

* Wed Jan 08 2020 wally <wally> 1.12-5.mga8
+ Revision: 1477328
- move systemd user service files to a correct location (mga#26026)

* Sun Sep 08 2019 wally <wally> 1.12-4.mga8
+ Revision: 1438345
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 1.12-3.mga7
+ Revision: 1350580
- rebuild for python3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.12-2.mga7
+ Revision: 1300806
- Mageia 7 Mass Rebuild

* Sat May 26 2018 wally <wally> 1.12-1.mga7
+ Revision: 1232307
- new version 1.12
- drop patches from upstream

* Sat Aug 05 2017 pterjan <pterjan> 1.11-3.mga7
+ Revision: 1135710
- Rebuild for python 3.6

* Sun Jan 29 2017 wally <wally> 1.11-2.mga6
+ Revision: 1083936
- split out i18n and icons
- add interesting patches from upstream

* Sat Jan 16 2016 akien <akien> 1.11-1.mga6
+ Revision: 924759
- Version 1.11

* Thu Oct 08 2015 wally <wally> 1.10-2.mga6
+ Revision: 887648
- rebuild for python 3.5

* Tue Feb 03 2015 wally <wally> 1.10-1.mga5
+ Revision: 813228
- new version 1.10
- switch to geoclue2

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-4.mga5
+ Revision: 744338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 688643
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 1.9.1-2.mga5
+ Revision: 629542
- Rebuild for new Python

* Sun Apr 27 2014 wally <wally> 1.9.1-1.mga5
+ Revision: 618361
- new version 1.9.1
- drop patches from usptream

* Fri Apr 11 2014 wally <wally> 1.9-2.mga5
+ Revision: 613435
- add patch from upstream to fix crash when toggling state using the status icon
- fix redshift-gtk systemd unit file

* Wed Apr 09 2014 wally <wally> 1.9-1.mga5
+ Revision: 613097
- new version 1.9
- switch to python3
- enable geoclue and systemd support

* Sun Dec 15 2013 wally <wally> 1.8-1.mga4
+ Revision: 556966
- new version 1.8
- download sources from github
- drop unneeded symlinks as upstream renamed gtk binary

* Fri Oct 18 2013 umeabot <umeabot> 1.7-8.mga4
+ Revision: 517999
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-7.mga3
+ Revision: 380278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 23 2012 wally <wally> 1.7-6.mga3
+ Revision: 262771
- add redshift-gtk symlink
- clean .spec

* Fri Dec 23 2011 wally <wally> 1.7-5.mga2
+ Revision: 186922
- gtk subpackage requires python-pyxdg

* Wed Jul 13 2011 wally <wally> 1.7-4.mga2
+ Revision: 123751
- disable geoclue support for now as it appears to be a bit broken

* Tue Jul 12 2011 wally <wally> 1.7-3.mga2
+ Revision: 123416
- require geoclue

* Tue Jul 12 2011 wally <wally> 1.7-2.mga2
+ Revision: 123275
- add patch from Fedora to change default geoclue provider

* Mon Jul 11 2011 wally <wally> 1.7-1.mga2
+ Revision: 122448
- new version 1.7
- add geoclue support

* Sun Jan 23 2011 wally <wally> 1.6-3.mga1
+ Revision: 34637
- drop buildroot definition from .spec
- imported package redshift


* Sat Oct 30 2010 Jani Välimaa <wally@mandriva.org> 1.6-2mdv2011.0
+ Revision: 590582
- rebuild for new python 2.7
- drop py_requires macro

* Mon Oct 18 2010 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2011.0
+ Revision: 586676
- new version 1.6
- fix file list

* Sat Aug 21 2010 Jani Välimaa <wally@mandriva.org> 1.5-1mdv2011.0
+ Revision: 571775
- new version 1.5
- disable rpath
- use provided .desktop file

* Tue Jul 13 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-3mdv2011.0
+ Revision: 552777
- use a fully versioned dependency in subpackage

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-2mdv2011.0
+ Revision: 550503
- split GTK stuff to a separate package

* Wed Jun 23 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 548748
- import redshift


